Bug 68735 - lib/rpmal.h broken for C++
lib/rpmal.h broken for C++
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-12 22:09 EDT by Enrico Scholz
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-12 22:09:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-07-12 22:09:10 EDT
Description of Problem:

lib/rpmal.h contains an invalid construct triggered when compiling with C++. I
suggest:

--------
diff -u -u -r2.30 rpmal.h
--- lib/rpmal.h 22 Jun 2002 18:51:57 -0000      2.30
+++ lib/rpmal.h 13 Jul 2002 02:04:27 -0000
@@ -16,7 +16,7 @@
 typedef /*@abstract@*/ struct rpmal_s *                rpmal;
 
 #ifdef __cplusplus
-{
+extern "C" {
 #endif
 
 /**
Comment 1 Jeff Johnson 2002-07-13 13:03:06 EDT
Fixed in next checkin, should be in rpm-4.1-0.48.

Note You need to log in before you can comment on or make changes to this bug.